halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Pages
Public Types | Public Member Functions | Friends
hal::counted_ptr< const X > Class Template Reference

List of all members.

## Public Types
typedef ptr_counter< const X > | counter

## Public Member Functions
| counted_ptr (const X *p=0)
| counted_ptr (const counted_ptr< const X > &r)
| counted_ptr (const counted_ptr< X > &r)
counted_ptr< const X > & | operator= (const counted_ptr< const X > &r)
counted_ptr< const X > & | operator= (const counted_ptr< X > &r)
template<class Y >
| counted_ptr (const counted_ptr< Y > &r)
template<class Y >
counted_ptr & | operator= (const counted_ptr< Y > &r)
const X & | operator* () const
const X * | operator-> () const
const X * | get () const
bool | unique () const

## Friends
class | counted_ptr

The documentation for this class was generated from the following file:

- inc/halCountedPtr.h